compact2, compact3
javax.xml.transform

## Interface Source

- All Known Implementing Classes:
    DOMSource, JAXBSource, SAXSource, StAXSource, StreamSource

      public interface Source

  An object that implements this interface contains the information needed to act as source input (XML source or transformation instructions).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSystemId()` Get the system identifier that was set with setSystemId.
    `void` | `setSystemId(String systemId)` Set the system identifier for this Source.

- - ### Method Detail

    - #### setSystemId

          void setSystemId(String systemId)

      Set the system identifier for this Source.

      The system identifier is optional if the source does not get its data from a URL, but it may still be useful to provide one. The application can use a system identifier, for example, to resolve relative URIs and to include in error messages and warnings.

      Parameters:
        `systemId` - The system identifier as a URL string.

    - #### getSystemId

          String getSystemId()

      Get the system identifier that was set with setSystemId.
      Returns:
        The system identifier that was set with setSystemId, or null if setSystemId was not called.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.